---
document: modulemd
version: 2
data:
  name: php
  stream: "7.2"
  version: 8030020210119114311
  context: 2c7ca891
  arch: x86_64
  summary: PHP scripting language
  description: >-
    php 7.2 module
  license:
    module:
    - GPLv2+
    content:
    - BSD
    - BSD and LGPLv3+
    - PHP
    - PHP and BSD
    - PHP and LGPLv2 and OpenLDAP
    - PHP and LGPLv2+
    - PHP and Zend and BSD and MIT and ASL 1.0
  dependencies:
  - buildrequires:
      httpd: [2.4]
      nginx: [1.14]
      platform: [el8.2.0]
    requires:
      httpd: [2.4]
      nginx: []
      platform: [el8]
  references:
    documentation: http://php.net/
    tracker: https://bugs.php.net/
  profiles:
    common:
      rpms:
      - php-cli
      - php-common
      - php-fpm
      - php-json
      - php-mbstring
      - php-xml
    devel:
      rpms:
      - libzip
      - php-cli
      - php-common
      - php-devel
      - php-fpm
      - php-json
      - php-mbstring
      - php-pear
      - php-pecl-zip
      - php-process
      - php-xml
    minimal:
      rpms:
      - php-cli
      - php-common
  api:
    rpms:
    - php-fpm
  components:
    rpms:
      libzip:
        rationale: ZIP library
        ref: 344dd0b64e0cb186fd9ac31e5cb15311f218c185
        buildorder: 1
        arches: [i686, x86_64]
      php:
        rationale: Module API.
        ref: 1216fd962cc9cf59f7cb7cdd41550efa9a029200
        buildorder: 1
        arches: [i686, x86_64]
      php-pear:
        rationale: Extension management
        ref: 35608c336b6726a90742afa20ecd3a1cbe429280
        buildorder: 2
        arches: [i686, x86_64]
      php-pecl-apcu:
        rationale: APCu extension
        ref: e578e6565392c4162b09fe338338aa1e94f710e3
        buildorder: 3
        arches: [i686, x86_64]
      php-pecl-zip:
        rationale: ZIP extension
        ref: 75d4c265dc34add5f9089aa72d0a126e8d971bd1
        buildorder: 3
        arches: [i686, x86_64]
  artifacts:
    rpms:
    - apcu-panel-0:5.1.12-2.module_el8.3.0+2010+7c76a223.noarch
    - libzip-0:1.5.1-2.module_el8.3.0+2010+7c76a223.src
    - libzip-0:1.5.1-2.module_el8.3.0+2010+7c76a223.x86_64
    - libzip-debuginfo-0:1.5.1-2.module_el8.3.0+2010+7c76a223.x86_64
    - libzip-debugsource-0:1.5.1-2.module_el8.3.0+2010+7c76a223.x86_64
    - libzip-devel-0:1.5.1-2.module_el8.3.0+2010+7c76a223.x86_64
    - libzip-tools-0:1.5.1-2.module_el8.3.0+2010+7c76a223.x86_64
    - libzip-tools-debuginfo-0:1.5.1-2.module_el8.3.0+2010+7c76a223.x86_64
    - php-0:7.2.24-1.module_el8.3.0+2010+7c76a223.src
    - php-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-bcmath-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-bcmath-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-cli-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-cli-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-common-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-common-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-dba-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-dba-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-dbg-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-dbg-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-debugsource-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-devel-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-embedded-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-embedded-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-enchant-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-enchant-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-fpm-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-fpm-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-gd-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-gd-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-gmp-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-gmp-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-intl-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-intl-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-json-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-json-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-ldap-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-ldap-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-mbstring-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-mbstring-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-mysqlnd-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-mysqlnd-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-odbc-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-odbc-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-opcache-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-opcache-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-pdo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-pdo-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-pear-1:1.10.5-9.module_el8.3.0+2010+7c76a223.noarch
    - php-pear-1:1.10.5-9.module_el8.3.0+2010+7c76a223.src
    - php-pecl-apcu-0:5.1.12-2.module_el8.3.0+2010+7c76a223.src
    - php-pecl-apcu-0:5.1.12-2.module_el8.3.0+2010+7c76a223.x86_64
    - php-pecl-apcu-debuginfo-0:5.1.12-2.module_el8.3.0+2010+7c76a223.x86_64
    - php-pecl-apcu-debugsource-0:5.1.12-2.module_el8.3.0+2010+7c76a223.x86_64
    - php-pecl-apcu-devel-0:5.1.12-2.module_el8.3.0+2010+7c76a223.x86_64
    - php-pecl-zip-0:1.15.3-1.module_el8.3.0+2010+7c76a223.src
    - php-pecl-zip-0:1.15.3-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-pecl-zip-debuginfo-0:1.15.3-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-pecl-zip-debugsource-0:1.15.3-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-pgsql-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-pgsql-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-process-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-process-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-recode-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-recode-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-snmp-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-snmp-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-soap-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-soap-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-xml-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-xml-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-xmlrpc-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
    - php-xmlrpc-debuginfo-0:7.2.24-1.module_el8.3.0+2010+7c76a223.x86_64
...
